nodo-domotica.nl

Python 3 interfereert

Voor hulp om je Nodo aan de praat te krijgen

Python 3 interfereert

Berichtdoor edsub » 24 okt 2011, 00:06

Ik had de kale Nodo voor de zomer al klaar en alles werkte op mijn desktop.
Eindelijk vandaag het zaakje maar eens netjes ingebouwd en geprobeerd aan de praat te krijgen op mijn meterkast-laptop.
Daar draait al een P1 datalogger op (aan de slimme e-meter) en die heb ik geschreven in...Python 3.
Vandaag kom ik erachter dat onder Eventghost ook heel wat Python zit. En wel versie 2.6.
En laten (dat wist ik dan gelukkig wel) die versies nou niet helemaal compatible zijn!
Bij opstarten van Eventghost de eerste keer krijg ik verbinding met de Nodo. Daarna begint de Nodo plugin te jammeren. En ondertussen blijkt ook mijn P1 Datalogger ermee gestopt (die maakt ook gebruik van de seriele poort, maar dan dus net met een andere library denk ik).
Op die laptop is Eventghost dus een NoGo.
Gelukkig werkte de Nodo Beheertool wel. Nu me daar maar in verdiepen en hopen dat ik niet teveel functionaliteit ga missen.....
Of heeft iemand nog een goed idee om Eventghost te upgraden naar Python 3 (de maker schijnt daar geen zin meer in te hebben)?
edsub
 
Berichten: 11
Geregistreerd: 10 okt 2011, 14:03

Keer terug naar Nodo aan de praat krijgen

Wie is er online?

Gebruikers in dit forum: Geen geregistreerde gebruikers. en 1 gast

cron